---
layout: commands
page_title: 'Commands: ACL Binding Rule List'
description: |
  The `consul acl binding-rule list` command lists names and details for all ACL binding rules.
---

# Consul ACL Binding Rule List

Command: `consul acl binding-rule list`

Corresponding HTTP API Endpoint: [\[GET\] /v1/acl/binding-rules](/consul/api-docs/acl/binding-rules#list-binding-rules)

The `acl binding-rule list` command lists all binding rules. By default it will not show metadata.

The table below shows this command's [required ACLs](/consul/api-docs/api-structure#authentication). Configuration of
[blocking queries](/consul/api-docs/features/blocking) and [agent caching](/consul/api-docs/features/caching)
are not supported from commands, but may be from the corresponding HTTP endpoint.

| ACL Required |
| ------------ |
| `acl:read`   |

## Usage

Usage: `consul acl binding-rule list`

#### Command Options

- `-meta` - Indicates that binding rule metadata such as the raft indices
  should be shown for each entry.

- `-format={pretty|json}` - Command output format. The default value is `pretty`.

#### Enterprise Options

@include 'legacy/cli-http-api-partition-options.mdx'

@include 'legacy/http_api_namespace_options.mdx'

#### API Options

@include 'legacy/http_api_options_client.mdx'

@include 'legacy/http_api_options_server.mdx'

## Examples

Default listing.

```shell-session
$ consul acl binding-rule list
0ec1bd2f-1d3b-bafb-d9bf-90ef04ab1890:
   AuthMethod:   minikube
   Description:  wildcard service
   BindType:     service
   BindName:     k8s-${serviceaccount.name}
   Selector:     serviceaccount.namespace==default
e21ae868-7b13-a230-0235-f8e83510642c:
   AuthMethod:   minikube
   Description:  just vault role
   BindType:     role
   BindName:     vault
   Selector:     serviceaccount.namespace==default and serviceaccount.name==vault
```

Show Metadata.

```shell-session
$ consul acl binding-rule list -meta
0ec1bd2f-1d3b-bafb-d9bf-90ef04ab1890:
   AuthMethod:   minikube
   Description:  wildcard service
   BindType:     service
   BindName:     k8s-${serviceaccount.name}
   Selector:     serviceaccount.namespace==default
   Create Index: 558
   Modify Index: 583
e21ae868-7b13-a230-0235-f8e83510642c:
   AuthMethod:   minikube
   Description:  just vault role
   BindType:     role
   BindName:     vault
   Selector:     serviceaccount.namespace==default and serviceaccount.name==vault
   Create Index: 593
   Modify Index: 593
```
